package com.cultural.heritage.model.dto.article;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "公众号文章添加请求体", requiredProperties = {
        "title", "image", "publishTime", "url"
})
public class OfficialAccountArticleAddRequest implements Serializable {


    /**
     * 文章标题
     */
    @Schema(description = "文章标题")
    private String title;


    /**
     * 文章图片
     */
    @Schema(description = "文章图片")
    private String image;


    /**
     * 文章发布时间
     */
    @Schema(description = "文章发布时间")
    private String publishTime;


    /**
     * 文章链接
     */
    @Schema(description = "文章链接")
    private String url;



    @Serial
    private static final long serialVersionUID = 1L;
}
