package com.cultural.heritage.service.book.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cultural.heritage.common.ErrorCode;
import com.cultural.heritage.exception.BusinessException;
import com.cultural.heritage.mapper.BookingTimeMapper;
import com.cultural.heritage.model.entity.BookingTime;
import com.cultural.heritage.service.book.BookingTimeService;
import org.apache.commons.lang3.ObjectUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

@Service
public class BookingTimeServiceImpl extends ServiceImpl<BookingTimeMapper, BookingTime> implements BookingTimeService {

    /**
     * 校验
     */
    @Override
    public void validBookingTime(BookingTime bookingTime, boolean update) {

        Long id = bookingTime.getId();
        String timePoint = bookingTime.getTimePoint();
        Long bookingDateId = bookingTime.getBookingDateId();

        if (update) {
                if (id == null) {
                    throw new BusinessException(ErrorCode.PARAMS_ERROR, "预约日期id参数错误");
                }
            }
            if (ObjectUtils.isEmpty(bookingDateId)) {
                throw new BusinessException(ErrorCode.PARAMS_ERROR, "存在写真预约日期id参数为空");
            }
            if (StringUtils.isBlank(timePoint)) {
                throw new BusinessException(ErrorCode.PARAMS_ERROR, "时间段参数为空");
            }

    }
}
