package com.cultural.heritage.service.good;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.dto.coupon.CouponQueryRequest;
import com.cultural.heritage.model.entity.Coupon;
import com.cultural.heritage.model.entity.UserCoupon;

public interface CouponService extends IService<Coupon> {


    /**
     * 获取查询条件
     */
    QueryWrapper<Coupon> getQueryWrapper(CouponQueryRequest couponQueryRequest);


    /**
     * 校验用户限领量是否已达到上限
     */
    Integer verifyIsReachTheUpperLimit(Long userId, Long couponId);


    /**
     * 校验
     */
    void validCoupon(Coupon coupon, boolean update);


    /**
     * 向消息队列中发送优惠券创建的消息
     */
    void sendCouponCreateMessage(Coupon coupon);



    /**
     * 向消息队列中发送用户优惠券创建的消息
     */
    void sendUserCouponCreateMessage(UserCoupon userCoupon, Coupon coupon);

}
